- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moNextMove< M > Class Template Reference

Class which allows to generate a new move (moMove). More...

`#include <moNextMove.h>`

Inheritance diagram for moNextMove< M >:

List of all members.

## Detailed Description

### template<class M>
class moNextMove< M >

Class which allows to generate a new move (moMove).

Useful for the explorer (for moTS or moHC). Does nothing... An object that herits from this class needs to be designed for being used.

Definition at line 22 of file moNextMove.h.

The documentation for this class was generated from the following file:

- moNextMove.h